Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core.model
Class NonPluginEntryModel

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.ContentEntryModel
                  org.eclipse.update.core.model.NonPluginEntryModel

All Implemented Interfaces:
  IAdaptable

Direct Known Subclasses:
  NonPluginEntry

public class NonPluginEntryModel
extends ContentEntryModel

Non-plug-in entry model object.

This class may be instantiated or subclassed by clients. However, in most cases clients should instead instantiate or subclass the provided concrete implementation of this model.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `NonPluginEntry`

Field Summary

Fields inherited from class org.eclipse.update.core.model.ContentEntryModel
`UNKNOWN_SIZE`

Constructor Summary
`NonPluginEntryModel()` Creates a uninitialized non-plug-in entry model object.

Method Summary
`String` | `getIdentifier()` Returns the entry identifier.
`void` | `setIdentifier(String id)` Sets the entry identifier.

Methods inherited from class org.eclipse.update.core.model.ContentEntryModel
`getDownloadSize, getInstallSize, getNL, getOS, getOSArch, getWS, setArch, setDownloadSize, setInstallSize, setNL, setOS, setWS`

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getPropertyName, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReadOnly, markReferenceReadOnly, resolve, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonPluginEntryModel

    public NonPluginEntryModel()

  Creates a uninitialized non-plug-in entry model object.

Since:
  2.0

Method Detail

### getIdentifier

    public String getIdentifier()

  Returns the entry identifier.

  Returns:
    entry identifier, or `null`
  Since:
    2.0

### setIdentifier

    public void setIdentifier(String id)

  Sets the entry identifier. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `id` - entry identifier.
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.